<?php
include_once '../controllers/ProductosController.php';

$producto = new ProductosController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else {
    throw new Exception('No se especificó ninguna acción');
}

switch ($action) {
    case 'getProductos':
        $producto->getProductos();
        break;
    case 'getProducto':
        $producto->getProducto();
        break;
    case 'getProductImages':
        $producto->getProductImages();
        break;
    case 'getProductColors':
        $producto->getProductColors();
        break;
    case 'getProductColorImages':
        $producto->getProductColorImages();
        break;
    case 'getSimilarProducts':
        $producto->getSimilarProducts();
        break;
    case 'getProductosDestacados':
        $producto->getProductosDestacados();
        break;
    case 'getProductosByCategoria':
        $producto->getProductosByCategoria();
        break;
    case 'getProductosByMarca':
        $producto->getProductosByMarca();
        break;
    case 'createProducto':
        $producto->createProducto();
        break;
    case 'updateProducto':
        $producto->updateProducto();
        break;
    case 'deleteProducto':
        $producto->deleteProducto();
        break;
    case 'activateProducto':
        $producto->activateProducto();
        break;
    case 'setImagenPrincipal':
        $producto->setImagenPrincipal();
        break;
    case 'setImagenPrincipalColor':
        $producto->setImagenPrincipalColor();
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'Acción no válida']);
}
?>